Hi again,
thanks for the advice (Reed and Brian) on finding glib, so i installed libglib-2.0.6, and i still couldn't find glib.h under /usr/include/ 
also, in the INSTALL file there this
  % gzip -cd glib-2.0.6.tar.gz | tar xvf -  # unpack the sources
  % cd glib-2.0.6                           # change to the toplevel directory
  % ./configure                             # run the `configure' script
  % make                                    # build GLIB

  [ Become root if necessary ]
  % rm -rf /install-prefix/include/glib.h /install-prefix/include/gmodule.h
  % make install                            # install GLIB

indicating to r glib.h?

I'm using kubuntu 6.0.6 and when i use adept, or even apt-get, it warns me saying that either packets either can't be downloaded or that it will break a package something like tha, and i end up not being able to install
libglib2.0-dev libgtk2.0-dev

Any ideas? if those two dependencies weren't installed i don't know how player got installed, it didn't yell at me like how stage is right now.
being noob is rough haha.


charlie